/* Copyright (c) 2015 Nordic Semiconductor. All Rights Reserved.
 *
 * The information contained herein is property of Nordic Semiconductor ASA.
 * Terms and conditions of usage are described in detail in NORDIC
 * SEMICONDUCTOR STANDARD SOFTWARE LICENSE AGREEMENT.
 *
 * Licensees are granted free, non-transferable use of the information. NO
 * WARRANTY of ANY KIND is provided. This heading must NOT be removed from
 * the file.
 *
 */

/** @file
 * @defgroup pwm_example_main main.c
 * @{
 * @ingroup pwm_example
 * 
 * @brief  PWM Example Application main file.
 *
 * This file contains the source code for a sample application using PWM.
 *
 *
 */

#include <stdbool.h>
#include <stdint.h>
#include "nrf.h"
#include "app_error.h"
#include "bsp.h"
#include "nrf_delay.h"
#include "app_pwm.h"

APP_PWM_INSTANCE(PWM1,1);                   // Create the instance "PWM1" using TIMER1.

static volatile bool ready_flag;            // A flag indicating PWM status.

void pwm_ready_callback(uint32_t pwm_id)    // PWM callback function
{
    ready_flag = true;
}

int main(void)
{
    ret_code_t err_code;
    
    /* 2-channel PWM, 200Hz, output on DK LED pins. */
    app_pwm_config_t pwm1_cfg = APP_PWM_DEFAULT_CONFIG_2CH(5000UL, 6, 7);
    
    /* Switch the polarity of the second channel. */
    pwm1_cfg.pin_polarity[1] = APP_PWM_POLARITY_ACTIVE_LOW;
    
    /* Initialize and enable PWM. */
    err_code = app_pwm_init(&PWM1,&pwm1_cfg,pwm_ready_callback);
    APP_ERROR_CHECK(err_code);
    app_pwm_enable(&PWM1);
    
    uint32_t value;
   
   
        for (uint8_t i = 0; i <3; ++i)
        {
            value = 60;
            
            ready_flag = false;
					 app_pwm_channel_duty_set(&PWM1, 0, value);
           nrf_delay_ms(1000);
          app_pwm_channel_duty_set(&PWM1, 0, 0);
          app_pwm_channel_duty_set(&PWM1, 0, value);
					nrf_delay_ms(1000);
					//ready_flag = true;
		     app_pwm_channel_duty_set(&PWM1, 1, value);
           nrf_delay_ms(1000);
        app_pwm_channel_duty_set(&PWM1, 1, 0);
        app_pwm_channel_duty_set(&PWM1, 1, value);
					nrf_delay_ms(1000);			
					
       
    }
   app_pwm_disable(&PWM1); 
} 


/** @} */
